package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author: cy
 * @date: 2022/4/6 10:45
 */
@ApiModel(value = "VideoLessonTeacherVo对象")
public class VideoLessonTeacherVo extends BaseEntity {
    @ApiModelProperty(value = "课程组编号")
    private String groupId;

    @ApiModelProperty("课程名称")
    private String lessonName;

    @ApiModelProperty("课程声部id")
    private String lessonSubject;

    @ApiModelProperty("课程声部")
    private String lessonSubjectName;

    @ApiModelProperty("课时数")
    private Integer lessonCount;

    @ApiModelProperty("销售价格")
    private String lessonPrice;

    @ApiModelProperty("购买人数")
    private Integer countStudent;

    @ApiModelProperty("审核状态(DOING:待审核 PASS:通过 UNPASS:未通过)")
    private AuthStatusEnum auditStatus;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("课程介绍")
    private String lessonDesc;

    public String getLessonSubjectName() {
        return lessonSubjectName;
    }

    public void setLessonSubjectName(String lessonSubjectName) {
        this.lessonSubjectName = lessonSubjectName;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getLessonName() {
        return lessonName;
    }

    public void setLessonName(String lessonName) {
        this.lessonName = lessonName;
    }

    public String getLessonSubject() {
        return lessonSubject;
    }

    public void setLessonSubject(String lessonSubject) {
        this.lessonSubject = lessonSubject;
    }

    public Integer getLessonCount() {
        return lessonCount;
    }

    public void setLessonCount(Integer lessonCount) {
        this.lessonCount = lessonCount;
    }

    public String getLessonPrice() {
        return lessonPrice;
    }

    public void setLessonPrice(String lessonPrice) {
        this.lessonPrice = lessonPrice;
    }

    public Integer getCountStudent() {
        return countStudent;
    }

    public void setCountStudent(Integer countStudent) {
        this.countStudent = countStudent;
    }

    public AuthStatusEnum getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(AuthStatusEnum auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getLessonDesc() {
        return lessonDesc;
    }

    public void setLessonDesc(String lessonDesc) {
        this.lessonDesc = lessonDesc;
    }
}
